## org.gnu.gtk
Class ExpanderStyle

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.ExpanderStyle

public class ExpanderStyle
extends Enum

Field Summary
`static ExpanderStyle` `COLLAPSED`
`static ExpanderStyle` `EXPANDED`
`static ExpanderStyle` `SEMI_COLLAPSED`
`static ExpanderStyle` `SEMI_EXPANDED`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`ExpanderStyle` `and(ExpanderStyle other)`
`static ExpanderStyle` `intern(int value)`
`ExpanderStyle` `or(ExpanderStyle other)`
`boolean` `test(ExpanderStyle other)`
`ExpanderStyle` `xor(ExpanderStyle other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COLLAPSED

    public static final ExpanderStyle COLLAPSED

### SEMI_COLLAPSED

    public static final ExpanderStyle SEMI_COLLAPSED

### SEMI_EXPANDED

    public static final ExpanderStyle SEMI_EXPANDED

### EXPANDED

    public static final ExpanderStyle EXPANDED

Method Detail

### intern

    public static ExpanderStyle intern(int value)

### or

    public ExpanderStyle or(ExpanderStyle other)

### and

    public ExpanderStyle and(ExpanderStyle other)

### xor

    public ExpanderStyle xor(ExpanderStyle other)

### test

    public boolean test(ExpanderStyle other)